Home

# Class goog.testing.LooseExpectationCollection

This class is an ordered collection of expectations for one method. Since the loose mock does most of its verification at the time of $verify, this class is necessary to manage the return/throw behavior when the mock is being called.

Instance Method Summary
| `addExpectation(?goog.testing.MockExpectation expectation)` Adds an expectation to this collection.
| `getExpectations() ⇒ ?Array` Gets the list of expectations in this collection.